{{Header101011a.spin 
  Modified G101011c.spin

  Updated 101012, removed DAT section with file name.
}}

  '' Communication protocol.  Board to board.
  '' Hard wired boards:
  '' _StartOfHeader _StartOfText (destination board letter*1) (origination board letter)(_Enquire, _Acknowledgment or _Command) 
  '' [type of E, A or C] [parameters] _CarriageReturn
  ''
  '' Wireless boards:
  '' _StartOfHeader _StartOfText (board letter*2)(origination board letter) (transmission count*3) (_Enquire, _Acknowledgment or _Command) 
  '' [type of E, A or C] [parameters] _CarriageReturn
  ''
  '' *1 Is this needed?  All wired com will go directly to one board.  Receiving board should be told the destination so it
  ''    knows if it needs to act on the communcation or just pass it on.  Probably leave in.
  '' *2 The transceiver may need to be configured to transmit to different boards.
  '' *3 Transmission count (use txCount) will increment by one each transmission so receiving board will know if data is repeated.
  ''    An ackowledgment will include the original count as a parameter.  (Use RxCountOld and RxCountNew)
  
  'Control ASCII characters used in object.              
  {_StartOfHeader = 1
  _StartOfText = 2
  _SendToWireLess = 3          ' Used by board F to acknowledge to G a wireless Tx was send and has been received by distination
                                ' board.
  _Command = 4                 ' Followed by board destination. Use to indicate action required by other Prop such as lighting a LED
  _Enquire = 5                  ' Follow by board destination.  (A to F or higher in future)
  _Acknowledgment = 6
  _CarriageReturn = 13          ' I doubt I'll use the constant's name.  I'll just type 13.
  '' _Enquire types
  '' Also use in CheckStylusDown method as modes
  _Button = 14
  _ButtonAndKnob = 15
  _ButtonKnobAndKey = 16
  _ButtonKnobKeyAndNunchuck = 17
  '' _Command types
  _LedSingle = 18
  _LedGroup = 19
  _StopTxNunchuckToRoboni0 = 20
  _StartTxNunchuckToRoboni0 = 21  }

  #0, _Null, _StartOfHeader, _StartOfText, _SendToWireLess, _Command, _Enquire, _Acknowledgment, { 0-6

    _Enquire types, Also use in CheckStylusDown method as modes
    } _Button, _ButtonAndKnob, _ButtonKnobAndKey, _ButtonKnobKeyAndNunchuck, _LedSingle, _LedGroup, { 7-12
    } _CarriageReturn, _StopTxNunchuckToRoboni0, _StartTxNunchuckToRoboni0   {13-15} 
  


  ' Other codes used.  These will follow one or more control characters.
  '_RtcInUseFlagF = 22
  '_RtcInUseFlagG = 23

  
  
  ' Button and Knob enumeration
  ' button or knob zero, one, two or all (enquire about all buttons and knobs)
  #0, _Input0, _Input1, _Input2, _InputAll  
 ' Pin Definitions

  _ClockAddress = %1101000

  _DebugBaud = 9600    
  
  _FieldSizeComrade = 12
 
  _LargeBufferSize = 32
  _LargestStructureSize = _LargeBufferSize
  
  _DefaultMainDutyCycle = 2 '30
  _DefaultPerimeterDutyCycle = 10 '50
  _DefaultClockDutyCycle = 50
  _DefaultClockMode = 2         ' _ClockAmPm
  _DefaultLedFrequency = 1000
  _DefaultRoboniMotorFrequency = 100

  _PayloadSize = 24
  _BarcodeQueMax = 10
  _LargeBufferSizeTimesQue = _LargeBufferSize * _BarcodeQueMax
  _StackSize = 64
  _TxAttempts = 32
  _DisplayTimePeriod = 300      ' five minutes

  
  '' LED enumeration
  #0, _MainLeds, _PerimeterLeds, _ClockLeds
  
  '' Mode enumeration
  #0, _CenteredMode, _LeftAligned, _RightAligned
  
  '' Clock mode enumeration
  #0, _ClockDefault, _ClockMilitary, _ClockAmPm

  '' WaitStylusDown mode enumeration
  '#0, _ButtonsOnly, _ButtonsAndKnobs, _ButtonsAndKeys, _ButtonsKnobsAndKeys

  '' Oven enumeration
  #0, _Humic, _LabWare, _Kitchen

  ' transceiver enumeration
  #1, _NordicA, _NordicBaseStation, _NordicInputDevice, _NordicD, _Roboni0  
           

PUB ThrowAwayMethod